Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get a specific agent.
cURL
curl --request GET \ --url https://api.anyreach.ai/core/agents/{id}
import requests url = "https://api.anyreach.ai/core/agents/{id}" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://api.anyreach.ai/core/agents/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.anyreach.ai/core/agents/{id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.anyreach.ai/core/agents/{id}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.anyreach.ai/core/agents/{id}") .asString();
require 'uri' require 'net/http' url = URI("https://api.anyreach.ai/core/agents/{id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "Example", "description": "string", "active": false, "is_demo": false, "metadata": {}, "created_at": "2026-01-15T09:30:00Z", "updated_at": "2026-01-15T09:30:00Z", "created_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6", "modified_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6", "labels": {}, "versions": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "version": 1, "published": false, "created_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6", "modified_by": "user:3fa85f64-5717-4562-b3fc-2c963f66afa6" } ], "has_published_version": false, "published_version": 1, "phone_numbers": [ { "phone_number": "+14155550123", "agent_version_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "version": 1, "direction": "string" } ], "widgets": [], "sip_endpoint": { "uri": "string", "deployed": false }, "total_conversations": 0, "total_duration": 1, "average_duration": 1, "last_conversation_date": "2026-01-15T09:30:00Z", "widget_count": 0, "today_conversations": 0, "daily_conversation_counts": [], "latest_version": {} }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ] }
Organization ID for user PATs (pat_ prefix tokens)
Successful Response
Show child attributes